Bug 109220 - xserver (xwayland) Commit 08843efc5940563a2275c654804c999cfc772987 causes kwin_wayland to deadlock
Summary: xserver (xwayland) Commit 08843efc5940563a2275c654804c999cfc772987 causes kwi...
Status: RESOLVED FIXED
Alias: None
Product: Wayland
Classification: Unclassified
Component: XWayland (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Wayland bug list
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-04 01:31 UTC by n3rdopolis
Modified: 2019-01-08 17:55 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description n3rdopolis 2019-01-04 01:31:18 UTC
Hi

I am not sure of what information to provide since I am not sure how the internals of kwin_wayland works. 

But trying to run kwin_wayland with master xserver, and it hangs, running it with GDB, and IIRC it hangs trying to connect to the display. (and it deadlocks pretty hard, where it ignores CTRL+C)

I narrowed it down to commit 08843efc5940563a2275c654804c999cfc772987
the commit before, and kwin_wayland runs fine

Thanks
Comment 1 Michel Dänzer 2019-01-04 08:40:21 UTC
https://gitlab.freedesktop.org/xorg/xserver/merge_requests/99 claims to fix this.

P.S. Xwayland bugs should be filed at https://gitlab.freedesktop.org/xorg/xserver/issues/new now.
Comment 2 n3rdopolis 2019-01-05 02:22:08 UTC
Thanks! That works! I'll make a note of that, sorry for reporting it in the wrong place
Comment 3 Michel Dänzer 2019-01-08 17:55:03 UTC
Thanks for the report, fixed in Git master:

commit bf5613f888e837641b9e16aacb36ffb43a9cccda
Author: Roman Gilg <subdiff@gmail.com>
Date:   Wed Jan 2 21:55:23 2019 +0100

    xwayland: Fix wm_fd readin with no listen_fds


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.